> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Enrollment

> Get a specific enrollment for a group



## OpenAPI

````yaml GET /api/v1/group_enrollments/{enrollment_id}
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/group_enrollments/{enrollment_id}:
    get:
      tags:
        - Group Plans & Enrollment
      summary: Get a single Group Enrollment
      description: >-
        Returns the latest version of a single group enrollment based on the ID
        provided.
      operationId: getGroupEnrollment
      parameters:
        - description: Unique identifier of the group enrollment
          in: path
          name: enrollment_id
          required: true
          schema:
            example: 7499ea07-76c9-40f2-992b-952259e98384
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                created: 1557512389
                effective_end_date: '2019-12-31'
                effective_start_date: '2019-01-01'
                group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                id: 7499ea07-76c9-40f2-992b-952259e98384
                line_of_coverage: medical
                modified: 1543215342
                open_enrollment_end_date: '2019-02-01'
                open_enrollment_start_date: '2019-01-01'
                status: active
                version: c2292b67-0382-45e9-a378-b52c4129f672
              schema:
                $ref: '#/components/schemas/GroupEnrollmentPublicResult'
          description: Successful Response - Returns a single Group Enrollment
components:
  schemas:
    GroupEnrollmentPublicResult:
      properties:
        carrier_id:
          description: Unique identifier of the associated carrier in the Noyo system
          format: uuid
          type: string
        created:
          description: The date the record was created
          type: integer
        effective_end_date:
          description: ISO-8601 date string for the effective end date of the record
          example: '2018-12-31'
          format: date
          nullable: true
          type: string
        effective_start_date:
          description: ISO-8601 date string for the effective start date of the record
          example: '2018-01-01'
          format: date
          nullable: true
          type: string
        group_id:
          description: Unique identifier of the associated group in the Noyo system
          format: uuid
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        line_of_coverage:
          description: Line of coverage for the group enrollment
          enum:
            - medical
            - dental
            - vision
            - life
            - add
            - std
            - ltd
            - accident
            - critical_illness
            - cancer
            - health_fund
            - hospital_indemnity
            - pharmacy
            - wellness
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the open enrollment end date of the group
            enrollment
          example: '2018-11-30'
          format: date
          nullable: true
          type: string
        open_enrollment_renewal_date:
          description: >-
            ISO-8601 date string for the open enrollment renewal start date of
            the group enrollment
          example: '2018-12-01'
          format: date
          nullable: true
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the open enrollment start date of the group
            enrollment
          example: '2018-11-01'
          format: date
          nullable: true
          type: string
        status:
          description: Status of the group enrollment
          enum:
            - pending
            - active
            - completed
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_id
        - id
        - line_of_coverage
        - modified
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - group_id
        - carrier_id
        - line_of_coverage
        - status
        - open_enrollment_start_date
        - open_enrollment_end_date
        - open_enrollment_renewal_date
        - effective_start_date
        - effective_end_date
        - created
        - modified

````